Bug 45293 - Runtime critical type System.Threading.InternalThread not found
Summary: Runtime critical type System.Threading.InternalThread not found
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: 4.6.0 (C8)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-10-11 21:21 UTC by mpictor
Modified: 2018-01-24 16:31 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description mpictor 2016-10-11 21:21:26 UTC
gentoo package dev-lang/mono-4.6.1.3
with mono-4.4.1, the below command causes an assertion: https://bugzilla.xamarin.com/show_bug.cgi?id=45292
--------------
command:
--------------
MONO_PATH=/home/mark/.wine32/drive_c/windows/Microsoft.NET/Framework/v4.0.30319:/home/mark/.wine32/drive_c/windows/Microsoft.NET/Framework/v4.0.30319/WPF/ mono ~/.wine/drive_c/Program\ Files\ \(x86\)/Hewlett-Packard/HP\ iLO\ Integrated\ Remote\ Console/HPLOCONS.exe

--------------
output:
--------------
Runtime critical type System.Threading.InternalThread not found

Native stacktrace:

        mono() [0x4b080f]
        /lib64/libpthread.so.0() [0x3985c10ae0]
        /lib64/libc.so.6(gsignal+0x37) [0x3985832cd7]
        /lib64/libc.so.6(abort+0x169) [0x3985833fe9]
        mono() [0x661131]
        mono() [0x6613b4]
        mono() [0x661487]
        mono() [0x5359a7]
        mono() [0x5bda7d]
        mono() [0x42ae9e]
        mono(mono_main+0x2e7) [0x481e77]
        mono() [0x424177]
        /lib64/libc.so.6(__libc_start_main+0xf0) [0x3985820610]
        mono(_start+0x29) [0x424509]

Debug info from gdb:

Mono support loaded.
[New LWP 27632]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x0000003985c1070b in waitpid () from /lib64/libpthread.so.0
  Id   Target Id         Frame 
  2    Thread 0x7fbe6cbff700 (LWP 27632) "SGen worker" 0x0000003985c0ceff in pthread_cond_wait () from /lib64/libpthread.so.0
* 1    Thread 0x7fbe6d439740 (LWP 27631) "Main" 0x0000003985c1070b in waitpid () from /lib64/libpthread.so.0

Thread 2 (Thread 0x7fbe6cbff700 (LWP 27632)):
#0  0x0000003985c0ceff in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x0000000000628f77 in mono_os_cond_wait (mutex=0x99b940 <lock>, cond=0x99b900 <work_cond>) at ../../mono/utils/mono-os-mutex.h:107
#2  thread_func (thread_data=0x0) at sgen-thread-pool.c:110
#3  0x0000003985c0742c in start_thread () from /lib64/libpthread.so.0
#4  0x00000039858e6a9d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fbe6d439740 (LWP 27631)):
#0  0x0000003985c1070b in waitpid () from /lib64/libpthread.so.0
#1  0x00000000004b08e6 in mono_handle_native_sigsegv (signal=<optimized out>, ctx=<optimized out>, info=<optimized out>) at mini-exceptions.c:2427
#2  <signal handler called>
#3  0x0000003985832cd7 in raise () from /lib64/libc.so.6
#4  0x0000003985833fe9 in abort () from /lib64/libc.so.6
#5  0x0000000000661131 in monoeg_log_default_handler (log_domain=<optimized out>, log_level=G_LOG_LEVEL_ERROR, message=<optimized out>, unused_data=<optimized out>) at goutput.c:233
#6  0x00000000006613b4 in monoeg_g_logv (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7ffe4b947620) at goutput.c:113
#7  0x0000000000661487 in monoeg_g_log (log_domain=log_domain@entry=0x0, log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x6916f0 "Runtime critical type %s.%s not found") at goutput.c:123
#8  0x00000000005359a7 in mono_class_load_from_name (image=<optimized out>, name_space=name_space@entry=0x66d1d1 "System.Threading", name=name@entry=0x70191b "InternalThread") at class.c:7970
#9  0x00000000005bda7d in mono_init_internal (filename=filename@entry=0x7ffe4b949eb8 "/home/mark/.wine/drive_c/Program Files (x86)/Hewlett-Packard/HP iLO Integrated Remote Console/HPLOCONS.exe", exe_filename=exe_filename@entry=0x7ffe4b949eb8 "/home/mark/.wine/drive_c/Program Files (x86)/Hewlett-Packard/HP iLO Integrated Remote Console/HPLOCONS.exe", runtime_version=runtime_version@entry=0x0) at domain.c:722
#10 0x00000000005be007 in mono_init_from_assembly (domain_name=domain_name@entry=0x7ffe4b949eb8 "/home/mark/.wine/drive_c/Program Files (x86)/Hewlett-Packard/HP iLO Integrated Remote Console/HPLOCONS.exe", filename=filename@entry=0x7ffe4b949eb8 "/home/mark/.wine/drive_c/Program Files (x86)/Hewlett-Packard/HP iLO Integrated Remote Console/HPLOCONS.exe") at domain.c:849
#11 0x000000000042ae9e in mini_init (filename=0x7ffe4b949eb8 "/home/mark/.wine/drive_c/Program Files (x86)/Hewlett-Packard/HP iLO Integrated Remote Console/HPLOCONS.exe", runtime_version=runtime_version@entry=0x0) at mini-runtime.c:3634
#12 0x0000000000481e77 in mono_main (argc=2, argv=<optimized out>) at driver.c:2031
#13 0x0000000000424177 in mono_main_with_options (argv=0x7ffe4b947c68, argc=2) at main.c:28
#14 main (argc=2, argv=0x7ffe4b947c68) at main.c:177

=================================================================
Got a SIGABRT while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================

Aborted
Comment 1 Bernhard Urban 2016-10-12 14:05:48 UTC
That MONO_PATH doesn't make sense to me. You're trying to run mono using the MS base class libraries. You should use mono's own BCL instead.

What happens if you just run:
 mono ~/.wine/drive_c/Program\ Files\ \(x86\)/Hewlett-Packard/HP\ iLO\ Integrated\ Remote\ Console/HPLOCONS.exe


?
Comment 2 Ludovic Henry 2018-01-24 16:31:17 UTC
Please provide information requested in previous comment to reopen. Thank you.